# initial configuration of causes-table in database
# VERSION=1
# CHANGES="initial version"

INSERT into isgw_causes (direction, to_cause, from_cause, sip_response_message) VALUES ('SIP-ISGW', '901', '503', 'No channel processing resources');
INSERT into isgw_causes (direction, to_cause, from_cause, sip_response_message) VALUES ('SIP-ISGW', '902', '503', 'No free ISDN channels');
INSERT into isgw_causes (direction, to_cause, from_cause, sip_response_message) VALUES ('SIP-ISGW', '903', '503', 'No resources');
INSERT into isgw_causes (direction, to_cause, from_cause, sip_response_message) VALUES ('SIP-ISGW', '904', '404', 'Number not in dialplan');
INSERT into isgw_causes (direction, to_cause, from_cause, sip_response_message) VALUES ('SIP-ISGW', '905', '603', 'Invalid number');
INSERT into isgw_causes (direction, to_cause, from_cause, sip_response_message) VALUES ('SIP-ISGW', '906', '503', 'No free ISDN channels (ports are down)');
INSERT into isgw_causes (direction, to_cause, from_cause, sip_response_message) VALUES ('SIP-ISGW', '907', '503', 'No free ANALOG ports');
INSERT into isgw_causes (direction, to_cause, from_cause, sip_response_message) VALUES ('SIP-ISGW', '908', '503', 'No free ANALOG ports (ports are down)');
INSERT into isgw_causes (direction, to_cause, from_cause, sip_response_message) VALUES ('SIP-ISGW', '910', '503', 'No free GSM ports');

INSERT into isgw_causes (direction, to_cause, from_cause, sip_response_message) VALUES ('SIP-ISDN', '1', '404', 'Unallocated number');
INSERT into isgw_causes (direction, to_cause, from_cause, sip_response_message) VALUES ('SIP-ISDN', '17', '486', 'User busy');
INSERT into isgw_causes (direction, to_cause, from_cause, sip_response_message) VALUES ('SIP-ISDN', '21', '603', 'Call rejected');
INSERT into isgw_causes (direction, to_cause, from_cause, sip_response_message) VALUES ('SIP-ISDN', 'ANY', '486', 'Busy here');

INSERT into isgw_causes (direction, to_cause, from_cause, sip_response_message) VALUES ('ISDN-ISGW', '901', '17', '');
INSERT into isgw_causes (direction, to_cause, from_cause, sip_response_message) VALUES ('ISDN-ISGW', '902', '17', '');
INSERT into isgw_causes (direction, to_cause, from_cause, sip_response_message) VALUES ('ISDN-ISGW', '903', '17', '');
INSERT into isgw_causes (direction, to_cause, from_cause, sip_response_message) VALUES ('ISDN-ISGW', '904', '17', '');
INSERT into isgw_causes (direction, to_cause, from_cause, sip_response_message) VALUES ('ISDN-ISGW', '905', '17', '');

INSERT into isgw_causes (direction, to_cause, from_cause, sip_response_message) VALUES ('ISDN-SIP', '404', '1', '');
INSERT into isgw_causes (direction, to_cause, from_cause, sip_response_message) VALUES ('ISDN-SIP', '486', '17', '');
INSERT into isgw_causes (direction, to_cause, from_cause, sip_response_message) VALUES ('ISDN-SIP', '603', '17', '');
INSERT into isgw_causes (direction, to_cause, from_cause, sip_response_message) VALUES ('ISDN-SIP', 'ANY', '17', '');

